Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 2889193002: Reporting: Add ReportingDelegate to check site permissions (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month ago by Julia Tuttle
Modified:
1 month ago
Reviewers:
shivanisha
CC:
chromium-reviews, cbentzel+watch_chromium.org, net-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Reporting: Add ReportingDelegate to check site permissions This adds a Delegate to Reporting that can eventually be plumbed to check whether sites are allowed to store data (reports and clients). BUG=704259, 676324 Review-Url: https://codereview.chromium.org/2889193002 Cr-Commit-Position: refs/heads/master@{#473885} Committed: https://chromium.googlesource.com/chromium/src/+/587548914b332653d2ae18e4d10e73ffde0f9406

Patch Set 1 #

Patch Set 2 : rebase, tweak, format #

Unified diffs Side-by-side diffs Delta from patch set Stats (+154 lines, -53 lines) Patch
M net/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
M net/reporting/reporting_context.h View 3 chunks +6 lines, -2 lines 0 comments Download
M net/reporting/reporting_context.cc View 2 chunks +2 lines, -0 lines 0 comments Download
A net/reporting/reporting_delegate.h View 1 1 chunk +46 lines, -0 lines 0 comments Download
A net/reporting/reporting_delegate.cc View 1 1 chunk +43 lines, -0 lines 0 comments Download
M net/reporting/reporting_delivery_agent.cc View 3 chunks +5 lines, -0 lines 0 comments Download
M net/reporting/reporting_endpoint_manager.h View 2 chunks +2 lines, -0 lines 0 comments Download
M net/reporting/reporting_endpoint_manager.cc View 2 chunks +3 lines, -0 lines 0 comments Download
M net/reporting/reporting_header_parser.h View 2 chunks +0 lines, -17 lines 0 comments Download
M net/reporting/reporting_header_parser.cc View 3 chunks +41 lines, -34 lines 0 comments Download
M net/reporting/reporting_service.cc View 2 chunks +4 lines, -0 lines 0 comments Download
Trybot results:  win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe   win_chromium_x64_rel_ng   linux_chromium_chromeos_rel_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   android_compile_dbg   android_cronet   android_n5x_swarming_rel   android_arm64_dbg_recipe   android_clang_dbg_recipe 
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 18 (13 generated)
Julia Tuttle
PTAL, shivanisha.
1 month ago (2017-05-18 16:09:35 UTC) #2
Julia Tuttle
On 2017/05/18 16:09:35, Julia Tuttle wrote: > PTAL, shivanisha. Ping?
1 month ago (2017-05-22 17:56:40 UTC) #12
shivanisha
On 2017/05/22 at 17:56:40, juliatuttle wrote: > On 2017/05/18 16:09:35, Julia Tuttle wrote: > > ...
1 month ago (2017-05-22 20:31:45 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889193002/20001
1 month ago (2017-05-23 13:02:14 UTC) #15
commit-bot: I haz the power
1 month ago (2017-05-23 14:17:39 UTC) #18
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/587548914b332653d2ae18e4d10e...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318